ninit-shutdown(8)

NAME
ninit-shutdown - shutdown the ninit init system.

SYNOPSIS
ninit-shutdown -[rhoqvstmST] [-E /path/to/program [arg1 arg2 ...]]

DESCRIPTION
ninit-shutdown tries to properly shutdown your system with ninit.

USAGE

-r  reboot after shutdown

-h  halt after shutdown

-o  power-off after shutdown (default)

-q  quiet mode; ignores SIGINT signal; Ctrl-C does't work!

-v  be verbose

-m  only shutdown the ninit-part and exit

-s secs
    starting delay

-t secs
    delay between SIGTERM and SIGKILL

-E prog
    execute prog after KILLALL; must be the last option!

-T secs
    if secs is nonzero shutdown twice ninit part

-S abcd
    skip to shutdown the service abcd

NOTES
If the flags -m and -E are off then the program starts the service halt or reboot depending of the flags -h -o and -r respectively. If the flags -E and -m are on then ninit-shutdown execve(2)s the prog after shutting down the ninit-part. If the flag -E is on and the flag -m is off then ninit-shutdown execve(2)s the prog after sending SIGTERM and SIGKILL to all processes. ninit-shutdown clears respawn/cron flags on all services including those skipped with -S flag.

ENVIRON
ninit-shutdown uses the variables NINIT_MEMORY and NINIT_HOME.

AUTHOR
ninit was written by Nikola Vladov and can be downloaded from
http://riemann.frmi.uni-sofia.bg/ninit/ Parts of ninit-shutdown were contributed by Bernd Wachter.
Parts of this manpage was written by Erich Schubert.

SEE ALSO
ninit(8), nsvc(8), execve(2), nkillall(8)